<template>
	<view class="content">
		<view class="homemain" @longpress="longpress">
			<img class="homebg" src="https://ikea-mrm.woaap.com/images/cover/choosebg.png" />
			<img class="coverlogo" src="https://ikea-mrm.woaap.com/images/logo.png" />
			<img class="poster" :src="saveImgUrl" alt="" />
			<img class="ptext" src="https://ikea-mrm.woaap.com/images/cover/ptext.png" />
			<view class="btngroup">
				<img @click="longpress" class="creatbtn" src="https://ikea-mrm.woaap.com/images/cover/step1.png" />
				<img @click="goMember" class="again" src="https://ikea-mrm.woaap.com/images/cover/step2.png" />
			</view>
			<!-- <img @click="goMember" class="pbtn" src="https://ikea-mrm.woaap.com/images/cover/pbtn.png" /> -->
			<img class="toast" :class="{ blink: !isshow }" src="https://ikea-mrm.woaap.com/images/cover/toast.png" />
			<view class="popup" v-if="isshow">
				<view class="popupmain"><img class="popm" src="https://ikea-mrm.woaap.com/images/cover/popm.png" /></view>
				<img @click="isshow = false" class="close" src="https://ikea-mrm.woaap.com/images/cover/close.png" />
			</view>
		</view>
	</view>
</template>

<script>
export default {
	data() {
		return {
			postUrl: JSON.parse(uni.getStorageSync('postUrl')),
			saveImgUrl: JSON.parse(uni.getStorageSync('saveImgUrl')),
			isshow: true
		};
	},
	onShareAppMessage: function(res) {
		return {
			title: '定制宜家风 赢限量好礼',
			path: 'pages/cover/home',
			imageUrl: 'https://ikea-mrm.woaap.com/images/share/share_cover.jpeg'
		};
	},
	mounted() {},
	onShow() {
		getApp().td_app_sdk.event({
			id: '/cover/poster',
			label: 'pv',
			params: {}
		});
	},
	methods: {
		goMember() {
			getApp().td_app_sdk.event({
				id: '加入宜家会员',
				label: 'click'
			});
			wx.navigateToMiniProgram({
				appId: 'wx3fa784987d98fde2',
				path: 'pages/startIndex/StartIndex?source=qingdao&channel=mrm',
				success(res) {
					// 打开成功
					console.log('success---navigateToMiniProgram');
				}
			});
		},

		//长按保存
		longpress() {
			getApp().td_app_sdk.event({
				id: '保存宜家封面',
				label: 'click'
			});
			uni.showLoading({
				title: '请稍后',
				mask: true
			});
			uni.getSetting({
				success: res => {
					console.log(res);
					if (!res.authSetting['scope.writePhotosAlbum']) {
						uni.authorize({
							scope: 'scope.writePhotosAlbum',
							success: () => {
								//1.1 允许授权
								uni.hideLoading();
								this.saveImg(this.postUrl);
							},
							fail() {
								//1.2 拒绝授权
								uni.hideLoading();
								// 授权失败
								uni.showModal({
									title: '警告',
									content: '您点击了拒绝授权,将无法正常保存图片,点击确定重新获取授权。',
									success: function(res) {
										if (res.confirm) {
											uni.openSetting({
												success: res => {
													uni.hideLoading();
													uni.showToast({
														icon: 'success',
														title: '授权成功',
														duration: 2000
													});
												}
											});
										}
									}
								});
							}
						});
					} else {
						this.saveImg(this.postUrl);
					}
				}
			});
		},
		saveImg(url) {
			uni.showLoading({
				title: '图片保存中',
				mask: true
			});
			uni.saveImageToPhotosAlbum({
				filePath: url,
				success: () => {
					uni.hideLoading();
					uni.showToast({
						icon: 'success',
						title: '保存成功',
						duration: 2000
					});
				},
				fail() {
					uni.hideLoading();
					console.log('保存失败');
				}
			});
		}
	}
};
</script>

<style lang="less" scoped>
.btngroup {
	width: 100%;
	position: absolute;
	top: 1230rpx;
	height: 108upx;
	padding: 0 44upx;
	box-sizing: border-box;
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	img {
		width: 328rpx;
		height: 119rpx;
	}
}
.content {
	width: 100vw;
	height: 100vh;
	position: relative;
	background: #ffffff;
	position: relative;
	overflow: hidden;
}
.homemain {
	width: 750rpx;
	height: 1624rpx;
	position: absolute;
	top: -150rpx;
	.toast {
		width: 234rpx;
		height: 82rpx;
		position: absolute;
		top: 50%;
		left: 50%;
		transform: translate(-50%, -50%);
		z-index: 999;
		opacity: 0;
	}
	.homebg {
		width: 750rpx;
		height: 1624rpx;
		position: absolute;
		top: 0;
	}
	.poster {
		width: 576rpx;
		height: 780rpx;
		position: absolute;
		left: 50%;
		top: 310rpx;
		transform: translate(-50%, 0);
		box-shadow: 5px 5px 20px #e0eff7;
	}
	.ptext {
		width: 447rpx;
		height: 53rpx;
		position: absolute;
		left: 50%;
		top: 1116rpx;
		transform: translate(-50%, 0);
	}
	.pbtn {
		width: 328rpx;
		height: 102rpx;
		position: absolute;
		left: 50%;
		top: 1225rpx;
		transform: translate(-50%, 0);
	}

	.popup {
		position: fixed;
		top: 0;
		left: 0;
		bottom: 0;
		right: 0;
		background: rgba(#000000, 0.8);
		display: flex;
		justify-content: center;
		align-items: center;
		flex-direction: column;
		z-index: 99;
		.popupmain {
			width: 609rpx;
			height: 810rpx;
			background: url(https://ikea-mrm.woaap.com/images/cover/popbg.png) no-repeat;
			background-size: 100% 100%;
			position: relative;
			overflow: hidden;
			display: flex;
			justify-content: center;
			align-items: center;
			.popm {
				width: 393rpx;
				height: 649rpx;
			}
		}
		.close {
			width: 74rpx;
			height: 74rpx;
			margin: 30rpx 0;
		}
	}
}
.painter {
	position: absolute;
	left: -100vw;
	z-index: 99;
}
</style>
